# $Revision: 1.14.2.4 $, $Date: 2003/08/19 20:44:42 $
Summary:	Library for accessing GnuPG
Summary(pl):	Biblioteka dajca dostep do funkcji GnuPG
Name:		gpgme
Version:	0.3.15
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.gz
# Source0-md5:	1acbe4b49e60d4b882a43328bc840d42
Patch0:		%{name}-info.patch
URL:		http://www.gnupg.org/gpgme.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	texinfo
Requires:	gnupg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for accessing GnuPG.

%description -l pl
Biblioteka dajca dostep do funkcji GnuPG.

%package devel
Summary:	Header files for %{name}
Summary(pl):	Pliki nagwnkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for %{name}, needed for compiling programs using %{name}.

%description devel -l pl
Pliki nagwnkowe dla %{name} potrzebne do kompilacji programw
uywajcych %{name}.

%package static
Summary:	Static version of %{name} library
Summary:	Statyczna wersja biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of %{name} library.

%description static -l pl
Statyczna wersja biblioteki %{name}.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--without-gpgsm

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README ChangeLog THANKS TODO NEWS AUTHORS
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgme-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/%{name}.m4
%{_infodir}/*.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpgme.spec,v $
Revision 1.14.2.4  2003/08/19 20:44:42  blues
- cosmetics

Revision 1.14.2.3  2003/08/13 20:41:16  arekm
- there is 0.3.15, too - updated

Revision 1.14.2.2  2003/08/13 20:32:13  arekm
- updated to version 0.3.12

Revision 1.14.2.1  2003/07/11 12:01:15  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.14  2002/09/07 17:49:31  kloczek
- (auto)updated to 0.3.10: bug fixes.

Revision 1.13  2002/08/25 22:44:45  kloczek
- (auto)updated to 0.3.9.

Revision 1.12  2002/08/18 12:16:10  kloczek
- release 2.

Revision 1.11  2002/08/18 11:13:19  blues
- license fix

Revision 1.10  2002/07/06 14:08:31  mwinkler
- updated to 0.3.8, STBR

Revision 1.9  2002/06/23 20:32:28  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:13:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/21 14:19:54  qboosh
- removed gpgme-config from base; new %%doc; release 2

Revision 1.6  2002/05/01 08:47:54  kloczek
- License changed to GPLv2.

Revision 1.5  2002/05/01 08:47:03  kloczek
- fix info infdex entry (added info patch),
- added full regenerate ac/am/lt files.

Revision 1.4  2002/04/30 21:32:13  qboosh
- run fix-info-dir in post/postun -devel (not base)

Revision 1.3  2002/04/30 07:54:28  filon
- rn ldconfig in post/postun

Revision 1.2  2002/04/30 07:39:01  qboosh
- fixed typo in Group, subpackages Requires, files and changelog
